Download OpenAPI specification:Download
ZoneID APIv2 is JSON based RESTful API for managing Domain, Webhosting, Cloudserver VPS and DNS services.
HTTP basic auth is used for authentication:
Use following header:
Authorization: Basic base64(zoneid_username:zoneid_api_token)
URLs are built as:
https://api.zone.eu/v2/{service_type}/{service_name}/{resource_name*}/{resource_identificator*}Where
{service_type} is
{service_name} is
Additional child endpoints may follow as /{child}/{child_identificator*}
* optional
For example to get single DNS A record, we use following url:
https://api.zone.eu/v2/dns/example.com/a/1or to get all DNS A Records, we use following url:
https://api.zone.eu/v2/dns/example.com/aThere is exception for service ordering endpoints where path is build as:
https://api.zone.eu/v2/order/{service_type}Request types are divided into 4 separate HTTP codes.
| Code | Description |
|---|---|
| GET | Access one or more resource. All resources are returned in array. Single resources are returned as single array element. When accessing single resourse, then URL must end with giver resource identificator |
| POST | Create new resource. Resouce data in JSON structure should be sent in request body. Generated resource is returned in response as single array element. |
| PUT | Update existing resource. URL must contain given resource identificator of resource that is updated. Otherwise same as POST request |
| DELETE | Delete existing resource. URL must contain given resource identificator. |
Standard HTTP status codes are used to give feedback about operation. In addition, human readable response message is sent in header X-Status-Message. Using response message in your scripts is not recommended as these may change without warning. Descriptions of all HTTP standard status codes are here. Most commonly used in ZoneID API are:
| Code | Description |
|---|---|
| 200 | successful GET request |
| 201 | successful POST/PUT request |
| 202 | successful POST/PUT request in case request was accepted, but will be processed later (for example ordering new services) |
| 204 | successful DELETE request |
| 422 | unsuccessful request in case resource in request has validation errors. Error codes in response are in same structure as resource itself. |
| 400 | unsuccessful request in case request itself is invalid |
| 402 | unsuccessful request in case payment is required for further actions. Mostly used when package upgrade is required. |
| 409 | unsuccessful request in case there is a conflict with the current state of the target resource. Mostly it indicates a concurrent request. |
The number of request is limited to 60 per minute per IP.
Rate limit information is contained in every response headers.
If you have reached the rate limit, then HTTP response code 429 is returned
Don't create requests without need. Don't update resources that are not modified and don't ask for data that you already know.
For example when writing custom dynamic DNS style script for DNS A record, then.
On some GET endpoints we have enabled pagination. In that case there is header x-pager-enabled is sent in response.
Response headers describing pager:
| Header | Description |
|---|---|
| x-pager-enabled | 1 when pager is enabled |
| x-pager-page | Current page number |
| x-pager-pages | Total number of pages |
| x-pager-limit | Items per page |
| x-pager-items | Total number of items |
Request headers to use pager:
| Header | Description |
|---|---|
| x-pager-page | Current page number |
| x-pager-limit | Items per page. Default is 10 and maximum is 100 |
| x-order-by | Sort by field. Sortable fields are described in Resource documentation |
| x-order-dir | Sort direction: asc or desc |
Example CURL request to get DNS A record
curl -X GET https://api.zone.eu/v2/dns/example.com/a/1 \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic em9uZWRfdXNlcm5hbWU6em9uZWlkX2FwaV9rZXk='Example CURL request to create DNS A record
curl -X POST https://api.zone.eu/v2/dns/example.com/a \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic em9uZWRfdXNlcm5hbWU6em9uZWlkX2FwaV9rZXk=' \
-d '{"name": "prefix.example.com","destination": "123.123.123.123"}'Successful GET, POST and PUT responses always contain requested (or created/updated) resource(s). For example:
[
{
"id": "123",
"resource_url": "https://api.zone.eu/v2/dns/example.com/a/123",
"name": "prefix.example.com",
"destination": "123.123.123.123",
"delete": true,
"modify": true
}
]| service_name required | string Unique name of service |
| resource_url | string API url to get this entity |
| identificator | string identificator |
| active | boolean Is zone active |
| ipv6 | boolean Are ipv6 records allowed |
[- {
- "resource_url": "string",
- "identificator": "string",
- "active": true,
- "ipv6": false
}
]| service_name required | string Unique name of service |
| resource_url | string API url to get this entity |
| identificator | string identificator |
| active | boolean Is zone active |
| ipv6 | boolean Are ipv6 records allowed |
[- {
- "resource_url": "string",
- "identificator": "string",
- "active": true,
- "ipv6": false
}
]| service_name required | string Unique name of service |
| destination | string IPv4 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| destination | string IPv4 |
| name | string Hostname |
| destination | string IPv4 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string IPv4 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string IPv4 |
| name | string Hostname |
| destination | string IPv4 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| destination | string IPv6 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| destination | string IPv6 |
| name | string Hostname |
| destination | string IPv6 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string IPv6 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string IPv6 |
| name | string Hostname |
| destination | string IPv6 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| destination | string Destination |
| name | string Hostname |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string Destination |
| name | string Hostname |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| priority | integer Priority |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| priority | integer Priority |
| destination | string Destination |
| name | string Hostname |
| priority | integer Priority |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| priority | integer Priority |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| priority | integer Priority |
| destination | string Destination |
| name | string Hostname |
| priority | integer Priority |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| destination | string Destination |
| name | string Hostname |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string Destination |
| name | string Hostname |
| resource_url | string API url to get this entity |
| destination | string Destination |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| destination | string TXT content value |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| destination | string TXT content value |
| name | string Hostname |
| destination | string TXT content value |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string TXT content value |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string TXT content value |
| name | string Hostname |
| destination | string TXT content value |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| algorithm | integer Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519 |
| type | integer Type: 1=SHA-1, 2=SHA-256 |
| destination | string Fingerprint |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| algorithm | integer Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519 |
| type | integer Type: 1=SHA-1, 2=SHA-256 |
| destination | string Fingerprint |
| name | string Hostname |
| algorithm | integer Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519 |
| type | integer Type: 1=SHA-1, 2=SHA-256 |
| destination | string Fingerprint |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| algorithm | integer Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519 |
| type | integer Type: 1=SHA-1, 2=SHA-256 |
| destination | string Fingerprint |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| algorithm | integer Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519 |
| type | integer Type: 1=SHA-1, 2=SHA-256 |
| destination | string Fingerprint |
| name | string Hostname |
| algorithm | integer Algorithm: 1=RSA, 2=DSA, 3=ECDSA, 4=Ed25519 |
| type | integer Type: 1=SHA-1, 2=SHA-256 |
| destination | string Fingerprint |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| priority | integer Priority |
| weight | integer Weight |
| port | integer Port |
| destination | string Target |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| priority | integer Priority |
| weight | integer Weight |
| port | integer Port |
| destination | string Target |
| name | string Hostname |
| priority | integer Priority |
| weight | integer Weight |
| port | integer Port |
| destination | string Target |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| priority | integer Priority |
| weight | integer Weight |
| port | integer Port |
| destination | string Target |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| priority | integer Priority |
| weight | integer Weight |
| port | integer Port |
| destination | string Target |
| name | string Hostname |
| priority | integer Priority |
| weight | integer Weight |
| port | integer Port |
| destination | string Target |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| destination | string URL where hostname is redirected to |
| type | integer Default: "301" Redirect HTTP redirect status code. Accepted values are 301 and 302 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| destination | string URL where hostname is redirected to |
| type | integer Default: "301" Redirect HTTP redirect status code. Accepted values are 301 and 302 |
| name | string Hostname |
| destination | string URL where hostname is redirected to |
| type | integer Default: "301" Redirect HTTP redirect status code. Accepted values are 301 and 302 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string URL where hostname is redirected to |
| type | integer Default: "301" Redirect HTTP redirect status code. Accepted values are 301 and 302 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string URL where hostname is redirected to |
| type | integer Default: "301" Redirect HTTP redirect status code. Accepted values are 301 and 302 |
| name | string Hostname |
| destination | string URL where hostname is redirected to |
| type | integer Default: "301" Redirect HTTP redirect status code. Accepted values are 301 and 302 |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| destination | string Value |
| flag | integer Flag |
| tag | string Tag |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| destination | string Value |
| flag | integer Flag |
| tag | string Tag |
| name | string Hostname |
| destination | string Value |
| flag | integer Flag |
| tag | string Tag |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string Value |
| flag | integer Flag |
| tag | string Tag |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| destination | string Value |
| flag | integer Flag |
| tag | string Tag |
| name | string Hostname |
| destination | string Value |
| flag | integer Flag |
| tag | string Tag |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| certificate_usage | integer Certificate usage: 0-3 |
| selector | integer selector: 0-1 |
| matching_type | integer Matching type: 0-2 |
| destination | string Certificate Association Data |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| certificate_usage | integer Certificate usage: 0-3 |
| selector | integer selector: 0-1 |
| matching_type | integer Matching type: 0-2 |
| destination | string Certificate Association Data |
| name | string Hostname |
| certificate_usage | integer Certificate usage: 0-3 |
| selector | integer selector: 0-1 |
| matching_type | integer Matching type: 0-2 |
| destination | string Certificate Association Data |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| certificate_usage | integer Certificate usage: 0-3 |
| selector | integer selector: 0-1 |
| matching_type | integer Matching type: 0-2 |
| destination | string Certificate Association Data |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| certificate_usage | integer Certificate usage: 0-3 |
| selector | integer selector: 0-1 |
| matching_type | integer Matching type: 0-2 |
| destination | string Certificate Association Data |
| name | string Hostname |
| certificate_usage | integer Certificate usage: 0-3 |
| selector | integer selector: 0-1 |
| matching_type | integer Matching type: 0-2 |
| destination | string Certificate Association Data |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name | string Hostname |
| delete | boolean Can this record be deleted |
| modify | boolean Can this record be modified |
| comment | string Comment |
{- "destination": "server.example.com",
- "name": "prefix.example.com"
}[- {
- "resource_url": "string",
- "destination": "server.example.com",
- "id": "123",
- "name": "prefix.example.com",
- "delete": true,
- "modify": true,
- "comment": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
Returns list of emails. Possible x-order-by values are created, address and disk_usage.
| service_name required | string Unique name of service |
| address | string Filter by address. |
| archived | boolean Display with archived accounts. |
| x-pager-page | integer Page number. Default is 1. |
| x-pager-limit | integer Items per page. Default is 10. Maximum is 100. |
| x-order-by | string Order by field name |
| x-order-dir | string Enum: "asc" "desc" Order direction |
| resource_url | string API url to get this entity |
| address | string identificator E-mail address (domain is in unicode format) |
| comment | string Comment |
| disk_size | integer Mailbox size in bytes |
| disk_size_human | string Mailbox size in human readable form |
| disk_usage | integer Mailbox usage in bytes |
| disk_usage_human | string Mailbox usage in human readable form |
| disk_usage_updated | string Disk usage update datetime in ISO 8601 format |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| spamlevel | string Enum: "none" "low" "medium" "high" Spamfilter level |
| two_factor_auth | boolean 2-factor authentication state. Can only be set to false from API |
| deleted_at | string <ISO 8601 date> Date and time the account was archived |
| addresses | Array of strings Mail account associated addresses |
[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "disk_size": 0,
- "disk_size_human": "string",
- "disk_usage": 0,
- "disk_usage_human": "string",
- "disk_usage_updated": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "spamlevel": "none",
- "two_factor_auth": true,
- "deleted_at": "string",
- "addresses": [
- "string"
]
}
]| service_name required | string Unique name of service |
| address | string identificator E-mail address (domain is in unicode format) |
| password | string Length: 10-64 digits. |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| spamlevel | string Enum: "none" "low" "medium" "high" Spamfilter level |
| two_factor_auth | boolean 2-factor authentication state. Can only be set to false from API |
| resource_url | string API url to get this entity |
| address | string identificator E-mail address (domain is in unicode format) |
| comment | string Comment |
| disk_size | integer Mailbox size in bytes |
| disk_size_human | string Mailbox size in human readable form |
| disk_usage | integer Mailbox usage in bytes |
| disk_usage_human | string Mailbox usage in human readable form |
| disk_usage_updated | string Disk usage update datetime in ISO 8601 format |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| spamlevel | string Enum: "none" "low" "medium" "high" Spamfilter level |
| two_factor_auth | boolean 2-factor authentication state. Can only be set to false from API |
| deleted_at | string <ISO 8601 date> Date and time the account was archived |
| addresses | Array of strings Mail account associated addresses |
{- "address": "string",
- "password": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
], - "spamlevel": "none",
- "two_factor_auth": true
}[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "disk_size": 0,
- "disk_size_human": "string",
- "disk_usage": 0,
- "disk_usage_human": "string",
- "disk_usage_updated": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "spamlevel": "none",
- "two_factor_auth": true,
- "deleted_at": "string",
- "addresses": [
- "string"
]
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| addresses | boolean Display email account associated addresses. |
| resource_url | string API url to get this entity |
| address | string identificator E-mail address (domain is in unicode format) |
| comment | string Comment |
| disk_size | integer Mailbox size in bytes |
| disk_size_human | string Mailbox size in human readable form |
| disk_usage | integer Mailbox usage in bytes |
| disk_usage_human | string Mailbox usage in human readable form |
| disk_usage_updated | string Disk usage update datetime in ISO 8601 format |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| spamlevel | string Enum: "none" "low" "medium" "high" Spamfilter level |
| two_factor_auth | boolean 2-factor authentication state. Can only be set to false from API |
| deleted_at | string <ISO 8601 date> Date and time the account was archived |
| addresses | Array of strings Mail account associated addresses |
[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "disk_size": 0,
- "disk_size_human": "string",
- "disk_usage": 0,
- "disk_usage_human": "string",
- "disk_usage_updated": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "spamlevel": "none",
- "two_factor_auth": true,
- "deleted_at": "string",
- "addresses": [
- "string"
]
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| address | string identificator E-mail address (domain is in unicode format) |
| password | string Length: 10-64 digits. |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| spamlevel | string Enum: "none" "low" "medium" "high" Spamfilter level |
| two_factor_auth | boolean 2-factor authentication state. Can only be set to false from API |
| resource_url | string API url to get this entity |
| address | string identificator E-mail address (domain is in unicode format) |
| comment | string Comment |
| disk_size | integer Mailbox size in bytes |
| disk_size_human | string Mailbox size in human readable form |
| disk_usage | integer Mailbox usage in bytes |
| disk_usage_human | string Mailbox usage in human readable form |
| disk_usage_updated | string Disk usage update datetime in ISO 8601 format |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| spamlevel | string Enum: "none" "low" "medium" "high" Spamfilter level |
| two_factor_auth | boolean 2-factor authentication state. Can only be set to false from API |
| deleted_at | string <ISO 8601 date> Date and time the account was archived |
| addresses | Array of strings Mail account associated addresses |
{- "address": "string",
- "password": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
], - "spamlevel": "none",
- "two_factor_auth": true
}[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "disk_size": 0,
- "disk_size_human": "string",
- "disk_usage": 0,
- "disk_usage_human": "string",
- "disk_usage_updated": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "spamlevel": "none",
- "two_factor_auth": true,
- "deleted_at": "string",
- "addresses": [
- "string"
]
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| address | string Filter by address. |
| x-pager-page | integer Page number. Default is 1. |
| x-pager-limit | integer Items per page. Default is 10. Maximum is 100. |
| resource_url | string API url to get this entity |
| address | string E-mail address |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| mail_to_http_url | string URL where email is posted to |
| change_pw_disabled | boolean Disable password change in webmail |
| webmail_fw_disabled | boolean Disable forward in webmail |
[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "mail_to_http_url": "string",
- "change_pw_disabled": true,
- "webmail_fw_disabled": true
}
]Create E-mail account/forwarder
| service_name required | string Unique name of service |
| address | string E-mail address |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| resource_url | string API url to get this entity |
| address | string E-mail address |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| mail_to_http_url | string URL where email is posted to |
| change_pw_disabled | boolean Disable password change in webmail |
| webmail_fw_disabled | boolean Disable forward in webmail |
{- "address": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
]
}[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "mail_to_http_url": "string",
- "change_pw_disabled": true,
- "webmail_fw_disabled": true
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| resource_url | string API url to get this entity |
| address | string E-mail address |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| mail_to_http_url | string URL where email is posted to |
| change_pw_disabled | boolean Disable password change in webmail |
| webmail_fw_disabled | boolean Disable forward in webmail |
[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "mail_to_http_url": "string",
- "change_pw_disabled": true,
- "webmail_fw_disabled": true
}
]Update E-mail account/forwarder
| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| address | string E-mail address |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| resource_url | string API url to get this entity |
| address | string E-mail address |
| comment | string Comment |
| fwd_addresses | Array of strings Forward list |
| autoreply | boolean Autoreply enabled state |
| mail_to_http_url | string URL where email is posted to |
| change_pw_disabled | boolean Disable password change in webmail |
| webmail_fw_disabled | boolean Disable forward in webmail |
{- "address": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
]
}[- {
- "resource_url": "string",
- "address": "string",
- "comment": "string",
- "fwd_addresses": [
- "string"
], - "autoreply": true,
- "mail_to_http_url": "string",
- "change_pw_disabled": true,
- "webmail_fw_disabled": true
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| identificator | string identificator |
| resource_url | string API url to get this entity |
| type | string Enum: "zmail" "zonecloud" Account type |
| name | string Application specific password description |
| scopes | Array of strings Allowed scopes for the Application Password |
| created | string Nullable Application password created timestamp |
| last_used | string Nullable Datestring of last use or false if password has not been used |
[- {
- "identificator": "string",
- "resource_url": "string",
- "type": "zmail",
- "name": "string",
- "scopes": [
- "string"
], - "created": "string",
- "last_used": "string"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| asp_id required | integer Application password identificator |
| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| resource_url | string API url to get this entity |
| is_enabled | boolean Is enabled |
| fromname | string Autoreply from name |
| subject | string Autoreply subject |
| body | string Autoreply body |
| datestart | string <date> Autoreply start date (yyyy-mm-dd) |
| dateend | string <date> Autoreply end date (yyyy-mm-dd) |
[- {
- "resource_url": "string",
- "is_enabled": true,
- "fromname": "string",
- "subject": "string",
- "body": "string",
- "datestart": "2019-08-24",
- "dateend": "2019-08-24"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| is_enabled | boolean Is enabled |
| fromname | string Autoreply from name |
| subject | string Autoreply subject |
| body | string Autoreply body |
| datestart | string <date> Autoreply start date (yyyy-mm-dd) |
| dateend | string <date> Autoreply end date (yyyy-mm-dd) |
| resource_url | string API url to get this entity |
| is_enabled | boolean Is enabled |
| fromname | string Autoreply from name |
| subject | string Autoreply subject |
| body | string Autoreply body |
| datestart | string <date> Autoreply start date (yyyy-mm-dd) |
| dateend | string <date> Autoreply end date (yyyy-mm-dd) |
{- "is_enabled": true,
- "fromname": "string",
- "subject": "string",
- "body": "string",
- "datestart": "2019-08-24",
- "dateend": "2019-08-24"
}[- {
- "resource_url": "string",
- "is_enabled": true,
- "fromname": "string",
- "subject": "string",
- "body": "string",
- "datestart": "2019-08-24",
- "dateend": "2019-08-24"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| resource_url | string API url to get this entity |
| is_enabled | boolean Is enabled |
| fromname | string Autoreply from name |
| subject | string Autoreply subject |
| body | string Autoreply body |
| datestart | string <date> Autoreply start date (yyyy-mm-dd) |
| dateend | string <date> Autoreply end date (yyyy-mm-dd) |
[- {
- "resource_url": "string",
- "is_enabled": true,
- "fromname": "string",
- "subject": "string",
- "body": "string",
- "datestart": "2019-08-24",
- "dateend": "2019-08-24"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| is_enabled | boolean Is enabled |
| fromname | string Autoreply from name |
| subject | string Autoreply subject |
| body | string Autoreply body |
| datestart | string <date> Autoreply start date (yyyy-mm-dd) |
| dateend | string <date> Autoreply end date (yyyy-mm-dd) |
| resource_url | string API url to get this entity |
| is_enabled | boolean Is enabled |
| fromname | string Autoreply from name |
| subject | string Autoreply subject |
| body | string Autoreply body |
| datestart | string <date> Autoreply start date (yyyy-mm-dd) |
| dateend | string <date> Autoreply end date (yyyy-mm-dd) |
{- "is_enabled": true,
- "fromname": "string",
- "subject": "string",
- "body": "string",
- "datestart": "2019-08-24",
- "dateend": "2019-08-24"
}[- {
- "resource_url": "string",
- "is_enabled": true,
- "fromname": "string",
- "subject": "string",
- "body": "string",
- "datestart": "2019-08-24",
- "dateend": "2019-08-24"
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| package | string Premium package handle or 'none' if not premium |
| package_allowed | boolean Indicates if package can be enabled |
| disk_size | integer Premium package allowed disk size in bytes |
| disk_size_human | string Premium package allowed human readable disk size |
| price_month | number <float> Premium package month price excluding VAT |
| price_year | number <float> Premium package year price excluding VAT |
| trial_period | integer Trial period in days |
[- {
- "package": "string",
- "package_allowed": true,
- "disk_size": 0,
- "disk_size_human": "string",
- "price_month": 0,
- "price_year": 0,
- "trial_period": 0
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| package | string Package handle of the premium package to be activated (use OPTIONS call to see available package handles) |
| package | string Premium package handle or 'none' if not premium |
| package_allowed | boolean Indicates if package can be enabled |
| disk_size | integer Premium package allowed disk size in bytes |
| disk_size_human | string Premium package allowed human readable disk size |
| price_month | number <float> Premium package month price excluding VAT |
| price_year | number <float> Premium package year price excluding VAT |
| trial_period | integer Trial period in days |
{- "package": "string"
}[- {
- "package": "string",
- "package_allowed": true,
- "disk_size": 0,
- "disk_size_human": "string",
- "price_month": 0,
- "price_year": 0,
- "trial_period": 0
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| package | string Premium package handle or 'none' if not premium |
| package_allowed | boolean Indicates if package can be enabled |
| disk_size | integer Premium package allowed disk size in bytes |
| disk_size_human | string Premium package allowed human readable disk size |
| price_month | number <float> Premium package month price excluding VAT |
| price_year | number <float> Premium package year price excluding VAT |
| trial_period | integer Trial period in days |
[- {
- "package": "string",
- "package_allowed": true,
- "disk_size": 0,
- "disk_size_human": "string",
- "price_month": 0,
- "price_year": 0,
- "trial_period": 0
}
]Get apache config for this (sub)domain
| service_name required | string Unique name of service |
| hostname required | string Hostname (main or subdomain) |
| resource_url | string API url to get this entity |
| scheme | string Enum: "https" "http" HTTP scheme |
| homedir | string Home directory path |
| docroot | string Directory where Apache serves files from. Relative to homedir. Not used when proxy_backend_port is configured. |
| proxy_backend_port | string Nullable Mod_proxy port. Used to serve applications using loopback IP address (e.g NodeJS application). Disabled serving PHP over apache. |
| php_version | string PHP version |
| php_version_deprecated | boolean PHP version deprecation status |
| php_version_test_url | string URL to GUI to test other PHP versions without changing server configs |
| is_php_version_owner | boolean Whether the PHP version on this (sub)domain affects others (false when use_http_settings_for_https or HTTP redirect are true, or a proxy_backend_port is configured for subdomain). |
| php_upgrade_strategy | string Value: "" Strategy for auto updating PHP versions. Check OPTIONS query for values |
[- {
- "resource_url": "string",
- "scheme": "https",
- "homedir": "string",
- "docroot": "string",
- "proxy_backend_port": "string",
- "php_version": "string",
- "php_version_deprecated": true,
- "php_version_test_url": "string",
- "is_php_version_owner": true,
- "php_upgrade_strategy": ""
}
]Update apache config for this (sub)domain. When host has both schemes present, scheme must be provided in request body.
| service_name required | string Unique name of service |
| hostname required | string Hostname (main or subdomain) |
| docroot | string Directory where Apache serves files from. Relative to homedir. Not used when proxy_backend_port is configured. |
| proxy_backend_port | string Nullable Mod_proxy port. Used to serve applications using loopback IP address (e.g NodeJS application). Disabled serving PHP over apache. |
| php_version | string PHP version |
| php_upgrade_strategy | string Value: "" Strategy for auto updating PHP versions. Check OPTIONS query for values |
| resource_url | string API url to get this entity |
| scheme | string Enum: "https" "http" HTTP scheme |
| homedir | string Home directory path |
| docroot | string Directory where Apache serves files from. Relative to homedir. Not used when proxy_backend_port is configured. |
| proxy_backend_port | string Nullable Mod_proxy port. Used to serve applications using loopback IP address (e.g NodeJS application). Disabled serving PHP over apache. |
| php_version | string PHP version |
| php_version_deprecated | boolean PHP version deprecation status |
| php_version_test_url | string URL to GUI to test other PHP versions without changing server configs |
| is_php_version_owner | boolean Whether the PHP version on this (sub)domain affects others (false when use_http_settings_for_https or HTTP redirect are true, or a proxy_backend_port is configured for subdomain). |
| php_upgrade_strategy | string Value: "" Strategy for auto updating PHP versions. Check OPTIONS query for values |
{- "docroot": "string",
- "proxy_backend_port": "string",
- "php_version": "string",
- "php_upgrade_strategy": ""
}[- {
- "resource_url": "string",
- "scheme": "https",
- "homedir": "string",
- "docroot": "string",
- "proxy_backend_port": "string",
- "php_version": "string",
- "php_version_deprecated": true,
- "php_version_test_url": "string",
- "is_php_version_owner": true,
- "php_upgrade_strategy": ""
}
]Get applicable apache config options
| service_name required | string Unique name of service |
| hostname required | string Hostname (main or subdomain) |
object (HostApacheOptions) List of options when applicable | |
object (HostApacheOptions) List of options when applicable |
{- "https": {
- "php_version": [
- "string"
], - "php_upgrade_strategy": [
- "string"
]
}, - "http": {
- "php_version": [
- "string"
], - "php_upgrade_strategy": [
- "string"
]
}
}| service_name required | string Unique name of service |
| hostname required | string Hostname (main or subdomain) |
| check_ready | boolean Checks for host reachability; adds a |
| identificator | string identificator |
| resource_url | string API url to get this entity |
| name | string Host name. Required when creating a new host. Cannot be updated. |
| type | string Enum: "parent" "child" Indicates whether host is a primary domain or a subdomain. |
| scheme | string Enum: "http" "https" "http&https" "http|https" What scheme is used to serve this host |
| letsencrypt_status | string|null Enum: "waiting" "failed" Let's Encrypt certificate processing status |
| certificate | integer|null SSL certificate id |
| ready | boolean Indicates that host is deployed to server and is usable. Only shown when check_ready query parameter is true. |
Array of objects (HostApache) Apache settings per scheme. Only present when the apache query parameter is used. |
[- {
- "identificator": "string",
- "resource_url": "string",
- "name": "string",
- "type": "parent",
- "scheme": "http",
- "letsencrypt_status": "waiting",
- "certificate": null,
- "ready": true,
- "apache": [
- {
- "resource_url": "string",
- "scheme": "https",
- "homedir": "string",
- "docroot": "string",
- "proxy_backend_port": "string",
- "php_version": "string",
- "php_version_deprecated": true,
- "php_version_test_url": "string",
- "is_php_version_owner": true,
- "php_upgrade_strategy": ""
}
]
}
]| service_name required | string Unique name of service |
| hostname | string Only hosts whose name contains this string |
| apache | boolean Include apache settings for each host |
| apache[php_version_deprecated] | boolean Only hosts that use a deprecated PHP version when true |
| x-pager-page | integer Page number. Default is 1. |
| x-pager-limit | integer Items per page. Default is 10. Maximum is 100. |
| identificator | string identificator |
| resource_url | string API url to get this entity |
| name | string Host name. Required when creating a new host. Cannot be updated. |
| type | string Enum: "parent" "child" Indicates whether host is a primary domain or a subdomain. |
| scheme | string Enum: "http" "https" "http&https" "http|https" What scheme is used to serve this host |
| letsencrypt_status | string|null Enum: "waiting" "failed" Let's Encrypt certificate processing status |
| certificate | integer|null SSL certificate id |
| ready | boolean Indicates that host is deployed to server and is usable. Only shown when check_ready query parameter is true. |
Array of objects (HostApache) Apache settings per scheme. Only present when the apache query parameter is used. |
[- {
- "identificator": "string",
- "resource_url": "string",
- "name": "string",
- "type": "parent",
- "scheme": "http",
- "letsencrypt_status": "waiting",
- "certificate": null,
- "ready": true,
- "apache": [
- {
- "resource_url": "string",
- "scheme": "https",
- "homedir": "string",
- "docroot": "string",
- "proxy_backend_port": "string",
- "php_version": "string",
- "php_version_deprecated": true,
- "php_version_test_url": "string",
- "is_php_version_owner": true,
- "php_upgrade_strategy": ""
}
]
}
]Create a new https host for webhosting service. name is required and must be a subdomain for services main domain.
| service_name required | string Unique name of service |
| name | string Host name. Required when creating a new host. Cannot be updated. |
| certificate | integer|null SSL certificate id |
| identificator | string identificator |
| resource_url | string API url to get this entity |
| name | string Host name. Required when creating a new host. Cannot be updated. |
| type | string Enum: "parent" "child" Indicates whether host is a primary domain or a subdomain. |
| scheme | string Enum: "http" "https" "http&https" "http|https" What scheme is used to serve this host |
| letsencrypt_status | string|null Enum: "waiting" "failed" Let's Encrypt certificate processing status |
| certificate | integer|null SSL certificate id |
| ready | boolean Indicates that host is deployed to server and is usable. Only shown when check_ready query parameter is true. |
Array of objects (HostApache) Apache settings per scheme. Only present when the apache query parameter is used. |
{- "name": "string",
- "certificate": null
}[- {
- "identificator": "string",
- "resource_url": "string",
- "name": "string",
- "type": "parent",
- "scheme": "http",
- "letsencrypt_status": "waiting",
- "certificate": null,
- "ready": true,
- "apache": [
- {
- "resource_url": "string",
- "scheme": "https",
- "homedir": "string",
- "docroot": "string",
- "proxy_backend_port": "string",
- "php_version": "string",
- "php_version_deprecated": true,
- "php_version_test_url": "string",
- "is_php_version_owner": true,
- "php_upgrade_strategy": ""
}
]
}
]| service_name required | string Unique name of service |
| x-pager-page | integer Page number. Default is 1. |
| x-pager-limit | integer Items per page. Default is 10. Maximum is 100. |
| resource_url | string API url to get this entity |
| username | string identificator readonly in update mode |
| comment | string User assigned comment to account |
| require_ssl | boolean Require SSL connection |
| hosts | Array of strings Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported) |
[- {
- "resource_url": "string",
- "username": "dnXXX_myname",
- "comment": "New database for development application",
- "require_ssl": true,
- "hosts": [
- "string"
]
}
]username field will be used as suffix for virtual server based name. When prefix is given inside name, then it's automatically detected
| service_name required | string Unique name of service |
| username | string identificator readonly in update mode |
| comment | string User assigned comment to account |
| password | string Length: 10-64 digits. |
| require_ssl | boolean Require SSL connection |
| hosts | Array of strings Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported) |
| resource_url | string API url to get this entity |
| username | string identificator readonly in update mode |
| comment | string User assigned comment to account |
| require_ssl | boolean Require SSL connection |
| hosts | Array of strings Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported) |
{- "username": "dnXXX_myname",
- "comment": "New database for development application",
- "password": "Rea11yS7r0ngPassw0rd",
- "require_ssl": true,
- "hosts": [
- "string"
]
}[- {
- "resource_url": "string",
- "username": "dnXXX_myname",
- "comment": "New database for development application",
- "require_ssl": true,
- "hosts": [
- "string"
]
}
]| service_name required | string Unique name of service |
| database_username required | string Database account username |
| resource_url | string API url to get this entity |
| username | string identificator readonly in update mode |
| comment | string User assigned comment to account |
| require_ssl | boolean Require SSL connection |
| hosts | Array of strings Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported) |
[- {
- "resource_url": "string",
- "username": "dnXXX_myname",
- "comment": "New database for development application",
- "require_ssl": true,
- "hosts": [
- "string"
]
}
]only comment, password and hosts can be updated
| service_name required | string Unique name of service |
| database_username required | string Database account username |
| username | string identificator readonly in update mode |
| comment | string User assigned comment to account |
| password | string Length: 10-64 digits. |
| require_ssl | boolean Require SSL connection |
| hosts | Array of strings Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported) |
| resource_url | string API url to get this entity |
| username | string identificator readonly in update mode |
| comment | string User assigned comment to account |
| require_ssl | boolean Require SSL connection |
| hosts | Array of strings Array of IP's that can connect using this user. Additional element can be added: ws - webserver, pma - phpmyadmin, vpn - vpn and list of external IP's (IPv4 and IPv6 are supported) |
{- "username": "dnXXX_myname",
- "comment": "New database for development application",
- "password": "Rea11yS7r0ngPassw0rd",
- "require_ssl": true,
- "hosts": [
- "string"
]
}[- {
- "resource_url": "string",
- "username": "dnXXX_myname",
- "comment": "New database for development application",
- "require_ssl": true,
- "hosts": [
- "string"
]
}
]| service_name required | string Unique name of service |
| x-pager-page | integer Page number. Default is 1. |
| x-pager-limit | integer Items per page. Default is 10. Maximum is 100. |
| resource_url | string API url to get this entity |
| name required | string identificator |
| comment | string User assigned comment to database |
| collation | string Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations). |
| disk_usage | string Database disk usage in bytes |
| disk_usage_human | string Database disk usage in human readable format |
| disk_usage_updated | string Disk usage update datetime |
[- {
- "resource_url": "string",
- "name": "string",
- "comment": "string",
- "collation": "string",
- "disk_usage": "string",
- "disk_usage_human": "string",
- "disk_usage_updated": "string"
}
]name field will be used as suffix for virtual server based name. When prefix is given inside name, then it's automatically detected
| service_name required | string Unique name of service |
| name required | string identificator |
| comment | string User assigned comment to database |
| collation | string Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations). |
| resource_url | string API url to get this entity |
| name required | string identificator |
| comment | string User assigned comment to database |
| collation | string Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations). |
| disk_usage | string Database disk usage in bytes |
| disk_usage_human | string Database disk usage in human readable format |
| disk_usage_updated | string Disk usage update datetime |
{- "name": "string",
- "comment": "string",
- "collation": "string"
}[- {
- "resource_url": "string",
- "name": "string",
- "comment": "string",
- "collation": "string",
- "disk_usage": "string",
- "disk_usage_human": "string",
- "disk_usage_updated": "string"
}
]| service_name required | string Unique name of service |
| database_name required | string Database name |
| resource_url | string API url to get this entity |
| name required | string identificator |
| comment | string User assigned comment to database |
| collation | string Available only during creation. Defaults to utf8mb4_unicode_ci (check options request for available collations). |
| disk_usage | string Database disk usage in bytes |
| disk_usage_human | string Database disk usage in human readable format |
| disk_usage_updated | string Disk usage update datetime |
[- {
- "resource_url": "string",
- "name": "string",
- "comment": "string",
- "collation": "string",
- "disk_usage": "string",
- "disk_usage_human": "string",
- "disk_usage_updated": "string"
}
]Get all account detailed permissions to all databases that it has access
| service_name required | string Unique name of service |
| database_username required | string Database account username |
| resource_url | string API url to get this entity |
| username | string Database username |
| database | string Database name |
| permissions | Array of strings Attributes that are allowed for this database |
[- {
- "resource_url": "string",
- "username": "string",
- "database": "string",
- "permissions": [
- "string"
]
}
]Get list of supported MySQL permissions for this account
| service_name required | string Unique name of service |
| database_username required | string Database account username |
[- "string"
]Get all account detailed permissions to given database
| service_name required | string Unique name of service |
| database_username required | string Database account username |
| database_name required | string Database name |
| resource_url | string API url to get this entity |
| username | string Database username |
| database | string Database name |
| permissions | Array of strings Attributes that are allowed for this database |
[- {
- "resource_url": "string",
- "username": "string",
- "database": "string",
- "permissions": [
- "string"
]
}
]| service_name required | string Unique name of service |
| database_username required | string Database account username |
| database_name required | string Database name |
| permissions | Array of strings Attributes that are allowed for this database |
| resource_url | string API url to get this entity |
| username | string Database username |
| database | string Database name |
| permissions | Array of strings Attributes that are allowed for this database |
{- "permissions": [
- "string"
]
}[- {
- "resource_url": "string",
- "username": "string",
- "database": "string",
- "permissions": [
- "string"
]
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name required | string Certificate name |
| cn | string CN |
| connected | boolean Connected to SSL cert in SSL services |
| letsencrypt | boolean Is Let's Encrypt auto renewal certificate |
| created | string Created datetime in ISO 8601 format |
| private_key required | string Private key |
| certificate required | string Certificate contents |
| ca_certificate | string CA Certificate contents |
| expires | string Expire datetime in ISO 8601 format |
| hosts | Array of strings Hosts where this certificate is used |
Array of objects Relations |
[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "cn": "string",
- "connected": true,
- "letsencrypt": true,
- "created": "string",
- "private_key": "string",
- "certificate": "string",
- "ca_certificate": "string",
- "expires": "string",
- "hosts": [
- "string"
], - "_links": [
- {
- "certificate": "string"
}
]
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| name required | string Certificate name |
| private_key required | string Private key |
| certificate required | string Certificate contents |
| ca_certificate | string CA Certificate contents |
| hosts | Array of strings Hosts where this certificate is used |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name required | string Certificate name |
| cn | string CN |
| connected | boolean Connected to SSL cert in SSL services |
| letsencrypt | boolean Is Let's Encrypt auto renewal certificate |
| created | string Created datetime in ISO 8601 format |
| private_key required | string Private key |
| certificate required | string Certificate contents |
| ca_certificate | string CA Certificate contents |
| expires | string Expire datetime in ISO 8601 format |
| hosts | Array of strings Hosts where this certificate is used |
Array of objects Relations |
{- "name": "string",
- "private_key": "string",
- "certificate": "string",
- "ca_certificate": "string",
- "hosts": [
- "string"
]
}[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "cn": "string",
- "connected": true,
- "letsencrypt": true,
- "created": "string",
- "private_key": "string",
- "certificate": "string",
- "ca_certificate": "string",
- "expires": "string",
- "hosts": [
- "string"
], - "_links": [
- {
- "certificate": "string"
}
]
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name required | string Certificate name |
| cn | string CN |
| connected | boolean Connected to SSL cert in SSL services |
| letsencrypt | boolean Is Let's Encrypt auto renewal certificate |
| created | string Created datetime in ISO 8601 format |
| private_key required | string Private key |
| certificate required | string Certificate contents |
| ca_certificate | string CA Certificate contents |
| expires | string Expire datetime in ISO 8601 format |
| hosts | Array of strings Hosts where this certificate is used |
Array of objects Relations |
[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "cn": "string",
- "connected": true,
- "letsencrypt": true,
- "created": "string",
- "private_key": "string",
- "certificate": "string",
- "ca_certificate": "string",
- "expires": "string",
- "hosts": [
- "string"
], - "_links": [
- {
- "certificate": "string"
}
]
}
]| service_name required | string Unique name of service |
| name required | string Certificate name |
| private_key required | string Private key |
| certificate required | string Certificate contents |
| ca_certificate | string CA Certificate contents |
| hosts | Array of strings Hosts where this certificate is used |
| resource_url | string API url to get this entity |
| id | integer identificator |
| name required | string Certificate name |
| cn | string CN |
| connected | boolean Connected to SSL cert in SSL services |
| letsencrypt | boolean Is Let's Encrypt auto renewal certificate |
| created | string Created datetime in ISO 8601 format |
| private_key required | string Private key |
| certificate required | string Certificate contents |
| ca_certificate | string CA Certificate contents |
| expires | string Expire datetime in ISO 8601 format |
| hosts | Array of strings Hosts where this certificate is used |
Array of objects Relations |
{- "name": "string",
- "private_key": "string",
- "certificate": "string",
- "ca_certificate": "string",
- "hosts": [
- "string"
]
}[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "cn": "string",
- "connected": true,
- "letsencrypt": true,
- "created": "string",
- "private_key": "string",
- "certificate": "string",
- "ca_certificate": "string",
- "expires": "string",
- "hosts": [
- "string"
], - "_links": [
- {
- "certificate": "string"
}
]
}
]| service_name required | string Unique name of service |
| resource_url | string API url to get this entity |
| identificator | integer identificator |
| name | string Name |
| type | string Enum: "http" "system" Crontab exec type (http/system) |
| active | boolean Is active |
| report | string Enum: "never" "onerror" "onoutputorerror" "onoutput" "always" When to send report |
| report_email | string Report e-mail |
| command | string Crontab command location (url or path) |
| priority | string Enum: "low" "normal" "high" Priority |
| schedule | string Schedule |
| timezone | string Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki" Timezone (only available when type==system) |
| runtime_limit | integer Enum: 900 1800 3600 10800 86340 Runtime limit in seconds (only available when type==system) |
[- {
- "resource_url": "string",
- "identificator": 0,
- "name": "string",
- "type": "http",
- "active": true,
- "report": "never",
- "report_email": "string",
- "command": "string",
- "priority": "low",
- "schedule": "string",
- "timezone": "UTC",
- "runtime_limit": 900
}
]| service_name required | string Unique name of service |
| command | string Crontab command location (url or path). Crontab commands with type "system" may use path and binary variables from the options response. |
| name | string Name |
| type | string Enum: "http" "system" Crontab exec type (http/system) |
| active | boolean Is active |
| report | string Enum: "never" "onerror" "onoutputorerror" "onoutput" "always" When to send report |
| report_email | string Report e-mail |
| priority | string Enum: "low" "normal" "high" Priority |
| schedule | string Schedule |
| timezone | string Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki" Timezone (only available when type==system) |
| runtime_limit | integer Enum: 900 1800 3600 10800 86340 Runtime limit in seconds (only available when type==system) |
| resource_url | string API url to get this entity |
| identificator | integer identificator |
| name | string Name |
| type | string Enum: "http" "system" Crontab exec type (http/system) |
| active | boolean Is active |
| report | string Enum: "never" "onerror" "onoutputorerror" "onoutput" "always" When to send report |
| report_email | string Report e-mail |
| command | string Crontab command location (url or path) |
| priority | string Enum: "low" "normal" "high" Priority |
| schedule | string Schedule |
| timezone | string Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki" Timezone (only available when type==system) |
| runtime_limit | integer Enum: 900 1800 3600 10800 86340 Runtime limit in seconds (only available when type==system) |
{- "command": "string",
- "name": "string",
- "type": "http",
- "active": true,
- "report": "never",
- "report_email": "string",
- "priority": "low",
- "schedule": "string",
- "timezone": "UTC",
- "runtime_limit": 900
}[- {
- "resource_url": "string",
- "identificator": 0,
- "name": "string",
- "type": "http",
- "active": true,
- "report": "never",
- "report_email": "string",
- "command": "string",
- "priority": "low",
- "schedule": "string",
- "timezone": "UTC",
- "runtime_limit": 900
}
]| service_name required | string Unique name of service |
| exec_type | Array of strings Execution types |
| schedule_type | Array of strings Schedule types |
| report | Array of strings Reporting options |
| nice | Array of strings Priority of crontab |
| timezone | Array of strings Available timezones |
| default_timezone | string Default timezone based on server location |
| runtime_limit | Array of integers Runtime limit in seconds |
object List of variables which can be used in system commands |
{- "exec_type": [
- "string"
], - "schedule_type": [
- "string"
], - "report": [
- "string"
], - "nice": [
- "string"
], - "timezone": [
- "string"
], - "default_timezone": "string",
- "runtime_limit": [
- 0
], - "command_variables": {
- "[[$PHP86]]": "/opt/zone/bin/php86-cli"
}
}| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| resource_url | string API url to get this entity |
| identificator | integer identificator |
| name | string Name |
| type | string Enum: "http" "system" Crontab exec type (http/system) |
| active | boolean Is active |
| report | string Enum: "never" "onerror" "onoutputorerror" "onoutput" "always" When to send report |
| report_email | string Report e-mail |
| command | string Crontab command location (url or path) |
| priority | string Enum: "low" "normal" "high" Priority |
| schedule | string Schedule |
| timezone | string Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki" Timezone (only available when type==system) |
| runtime_limit | integer Enum: 900 1800 3600 10800 86340 Runtime limit in seconds (only available when type==system) |
[- {
- "resource_url": "string",
- "identificator": 0,
- "name": "string",
- "type": "http",
- "active": true,
- "report": "never",
- "report_email": "string",
- "command": "string",
- "priority": "low",
- "schedule": "string",
- "timezone": "UTC",
- "runtime_limit": 900
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| command | string Crontab command location (url or path). Crontab commands with type "system" may use path and binary variables from the options response. |
| name | string Name |
| type | string Enum: "http" "system" Crontab exec type (http/system) |
| active | boolean Is active |
| report | string Enum: "never" "onerror" "onoutputorerror" "onoutput" "always" When to send report |
| report_email | string Report e-mail |
| priority | string Enum: "low" "normal" "high" Priority |
| schedule | string Schedule |
| timezone | string Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki" Timezone (only available when type==system) |
| runtime_limit | integer Enum: 900 1800 3600 10800 86340 Runtime limit in seconds (only available when type==system) |
| resource_url | string API url to get this entity |
| identificator | integer identificator |
| name | string Name |
| type | string Enum: "http" "system" Crontab exec type (http/system) |
| active | boolean Is active |
| report | string Enum: "never" "onerror" "onoutputorerror" "onoutput" "always" When to send report |
| report_email | string Report e-mail |
| command | string Crontab command location (url or path) |
| priority | string Enum: "low" "normal" "high" Priority |
| schedule | string Schedule |
| timezone | string Enum: "UTC" "Europe/Tallinn" "Europe/Amsterdam" "Europe/Helsinki" Timezone (only available when type==system) |
| runtime_limit | integer Enum: 900 1800 3600 10800 86340 Runtime limit in seconds (only available when type==system) |
{- "command": "string",
- "name": "string",
- "type": "http",
- "active": true,
- "report": "never",
- "report_email": "string",
- "priority": "low",
- "schedule": "string",
- "timezone": "UTC",
- "runtime_limit": 900
}[- {
- "resource_url": "string",
- "identificator": 0,
- "name": "string",
- "type": "http",
- "active": true,
- "report": "never",
- "report_email": "string",
- "command": "string",
- "priority": "low",
- "schedule": "string",
- "timezone": "UTC",
- "runtime_limit": 900
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| service_name required | string Unique name of service |
| password | string Redis auth key |
| port | string Redis port |
| ip | string IP address |
| host | string Hostname |
| resource_url | string API url to get this entity |
| id | integer Application id |
| name | string Application name |
| status | string Application status |
| enabled | boolean Application is enabled |
[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "status": "string",
- "enabled": true
}
]| service_name required | string Unique name of service |
| password | string Redis auth key |
| port | string Redis port |
| ip | string IP address |
| host | string Hostname |
| resource_url | string API url to get this entity |
| id | integer Application id |
| name | string Application name |
| status | string Application status |
| enabled | boolean Application is enabled |
[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "status": "string",
- "enabled": true
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| password | string Redis auth key |
| port | string Redis port |
| ip | string IP address |
| host | string Hostname |
| resource_url | string API url to get this entity |
| id | integer Application id |
| name | string Application name |
| status | string Application status |
| enabled | boolean Application is enabled |
[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "status": "string",
- "enabled": true
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| password | string Redis auth key |
| port | string Redis port |
| ip | string IP address |
| host | string Hostname |
| resource_url | string API url to get this entity |
| id | integer Application id |
| name | string Application name |
| status | string Application status |
| enabled | boolean Application is enabled |
[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "status": "string",
- "enabled": true
}
]| service_name required | string Unique name of service |
| identificator required | string Unique identificator of requested resource. If applicable then human readable (for example domain name, hostname etc...), if not, then usually numeric ID. Marked as identificator in resource schema, otherwise same as resource identificator property. |
| password | string Redis auth key |
| port | string Redis port |
| ip | string IP address |
| host | string Hostname |
| resource_url | string API url to get this entity |
| id | integer Application id |
| name | string Application name |
| status | string Application status |
| enabled | boolean Application is enabled |
[- {
- "resource_url": "string",
- "id": 0,
- "name": "string",
- "status": "string",
- "enabled": true
}
]| service_name required | string Unique name of service |
[...]
